Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::TulipException Class Reference

TulipException is a basic class to build exceptions from string. More...

`#include <TulipException.h>`

Inheritance diagram for tlp::TulipException:
[legend]

List of all members.

## Public Member Functions

- TulipException (const std::string &desc)
- virtual ~TulipException () throw ()
- virtual const char * what () const throw ()

## Detailed Description

TulipException is a basic class to build exceptions from string.

## Constructor & Destructor Documentation

tlp::TulipException::TulipException | ( | const std::string & | desc | ) | `[inline]`

virtual tlp::TulipException::~TulipException | ( |  | ) | throw ()`[inline, virtual]`

## Member Function Documentation

virtual const char* tlp::TulipException::what | ( |  | ) | const throw ()`[inline, virtual]`

Tulip Software by LaBRI Visualization Team 2001 - 2012